package nc.pub.filesystem.newui;

import java.awt.event.ActionEvent;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import javax.swing.AbstractAction;
import javax.swing.Action;
import nc.vo.pub.filesystem.NCFileVO;
import org.apache.commons.httpclient.HttpException;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import nc.bs.framework.common.InvocationInfoProxy;
import nc.bs.framework.common.NCLocator;
import nc.bs.framework.common.RuntimeEnv;
import nc.bs.pub.filesystem.IFileSystemService;
import nc.funcnode.ui.action.AbstractNCAction;
import nc.itf.bd.defdoc.IDefdocService;
import nc.itf.th.IThOcrService;
import nc.itf.uap.IUAPQueryBS;
import nc.jdbc.framework.processor.BeanListProcessor;
import nc.jdbc.framework.processor.ColumnProcessor;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.beans.MessageDialog;
import nc.vo.bd.defdoc.DefdocVO;
import nc.vo.pub.BusinessException;



public class ThOCRAction extends AbstractNCAction{

	/**
	 * OCRʶ
	 */
	private static final long serialVersionUID = -5178574564280732585L;
	//ȡƱַ
	private String noauth = "https://api.mypiaojia.com/api/invoiceApi/file/download?id=";
	
	private IUAPQueryBS iuap= (IUAPQueryBS) NCLocator.getInstance().lookup(IUAPQueryBS.class.getName());
	private ThFileContentPanel parentpanel ;
	public ThOCRAction(ThFileContentPanel para){
		parentpanel = para;
		this.putValue(AbstractAction.NAME,"OCRʶ");
		this.putValue(Action.SHORT_DESCRIPTION, "OCRʶ");
	}

	@Override
	public void actionPerformed(ActionEvent actionevent) {
		MessageDialog.showHintDlg(parentpanel, "ʾ","ʼOCRʶ");
		
		String vdef17 =(String) parentpanel.editor_.getBillCardPanel().getHeadItem("vdef17").getValueObject();//id
		String pk_org = (String) parentpanel.editor_.getBillCardPanel().getHeadItem("pk_org").getValueObject();
		String pk_group = (String) parentpanel.editor_.getBillCardPanel().getHeadItem("pk_group").getValueObject();
		String billmaker = InvocationInfoProxy.getInstance().getUserId();
		IThOcrService  ocrservice=(IThOcrService) NCLocator.getInstance().lookup(IThOcrService.class.getName());
		
		List<String> filewjlis=ocrservice.getInvoiceInfo(vdef17);//ȡ"+vdef17+"ļзƱ
		
		 if(null==filewjlis||filewjlis.size()==0){
	        	MessageDialog.showErrorDlg(parentpanel, NCLangRes.getInstance().getStrByID("pc", "FileManageUI-000000")/**/
						,"ϴƱٽOCRʶ");
				return;
	      }
		 
		 
		//ȡtoken
		String token="";
		try {
			 token=ocrservice.getToken(billmaker);
		} catch (Exception e) {
			MessageDialog.showErrorDlg(parentpanel, NCLangRes.getInstance().getStrByID("pc", "FileManageUI-000000")/**/
					,"ȡtoken:\n"+e.getMessage());
			return;
		}

		StringBuffer sb=new StringBuffer();
		StringBuffer sb2=new StringBuffer();
		for(int i=0;i<filewjlis.size();i++){
			NCFileVO oldvo = (NCFileVO) parentpanel.getfiletablemodel()
					.getVO(i);
			NCFileVO newvo = oldvo.clone();
			//ʶķƱҪٴβѯ
			String filedesc = newvo.getFiledesc();
			if(filedesc != null) {
				continue;
			}
			//Ʊϴ
			String idjson="";
			try {
				idjson=ocrservice.uploadInvoice(token, vdef17,newvo.getName());
			} catch (Exception e) {
				MessageDialog.showErrorDlg(parentpanel, NCLangRes.getInstance().getStrByID("pc", "FileManageUI-000000")/**/
						,"Ʊϴ:\n"+e.getMessage());
				return;
			}
			
			sb.append(idjson).append("\n");
			
			
			JSONObject json = null;
			String checkresult;
			try {
				//Ʊʶ
				String ocrinvoicejson=ocrservice.ocrIdentification(token,idjson);
				sb2.append(ocrinvoicejson).append("\n");
				 //ʶݱݿ add by pcy
				json = JSONObject.parseObject(ocrinvoicejson);
				checkresult = checkJson(json);
				if(checkresult != null){
					MessageDialog.showErrorDlg(parentpanel, NCLangRes.getInstance().getStrByID("pc", "FileManageUI-000000")/**/
							,"ocrУ:\n"+checkresult);
					return;
				}
				
			} catch (Exception e) {
				MessageDialog.showErrorDlg(parentpanel, NCLangRes.getInstance().getStrByID("pc", "FileManageUI-000000")/**/
						,"ocrУ:\n"+e.getMessage());
			}
			//Ʊurlַ
			//String url = JSONObject.parseObject(idjson).getJSONObject("data").getString("url");
			JSONObject data = json.getJSONObject("data");
			JSONArray infos = data.getJSONArray("infos");
			for(int j = 0;j < infos.size();j++){
				String message = "OCRʶ";//Ʊʶʶ
				JSONObject info = infos.getJSONObject(j).getJSONObject("info");
				String ret = infos.getJSONObject(j).getString("ret");
				String is_valid = infos.getJSONObject(j).getString("is_valid");
				String name =newvo.getName();
				String memo = info.getString("number");//Ʊ
				String code = info.getString("fid");
				String fid = info.getString("fid");
				String codenumber = info.getString("code"); //Ʊ
				//ⷢƱƱźͷƱ벻
				if(codenumber == null || "".equals(codenumber)) {
					codenumber = "0";
				}
				if(memo == null || "".equals(memo)) {
					memo = "0";
				}
				if(!"0".equals(ret)) {					
					message = infos.getJSONObject(j).getString("message");					
				}
				//Ʊʶ֮зƱ
				//ǷҪ 0Ҫ 1Ҫ
				if("OCRʶ".equals(message) && "1".equals(is_valid)) {
					try {
						ocrservice.InvoiceCheck(token,fid);
					} catch (Exception e) {
						message = e.getMessage();
					}
				}
				
				
				//
				newvo.setFiledesc(message);
				// ޸
				newvo.setModifier(InvocationInfoProxy.getInstance()
						.getUserId());
				// ޸ĵʱ
				Date date2 = new Date();
				newvo.setModifytime(date2.getTime());
				// 
				IFileSystemService service = NCLocator.getInstance()
						.lookup(IFileSystemService.class);
				
				try {
					boolean b = service.updateFileAttribute(newvo, oldvo
							.getFullPath());
					if (b) {
						// table
						oldvo.setFiledesc(message);
						oldvo.setModifier(newvo.getModifier());
						oldvo.setModifytime(newvo.getModifytime());
						parentpanel.getfiletablemodel().clearTable();
						parentpanel.getfiletablemodel().addVO(
								parentpanel.getTreenodefilecacheMap().get(
										"root").toArray(new NCFileVO[0]));
						parentpanel.getfiletablemodel().refreshTable();
					} else {
						MessageDialog.showErrorDlg(parentpanel, NCLangRes
								.getInstance().getStrByID("sftemp",
										"PasteAttachAction-0001")/*  */,
								NCLangRes.getInstance().getStrByID(
										"sftemp",
										"FilePatchAttrDialog-0000")/*
																	 * ļظ!
																	 */);
					}

				} catch (BusinessException e1) {
					MessageDialog.showErrorDlg(parentpanel, NCLangRes.getInstance().getStrByID("pc", "FileManageUI-000000")/**/
							,"ʶʶ:\n"+e1.getMessage());
				   return;				

				}
				if(!"OCRʶ".equals(message)) {
					continue;
				}
				
				String ext = info.getString("ext");
				JSONObject extobj = JSONObject.parseObject(ext);
				String trate = extobj.getString("trate");//˰
				//ϸ˰ʲһµⲿ˰ֶλΪգתȡϸһ˰
				if(trate == null || "".equals(trate)) {
					JSONArray products = extobj.getJSONArray("products");
					trate = products.getJSONObject(0).getString("trate");
				}
				JSONObject comm_info = info.getJSONObject("comm_info");
				JSONObject pro = comm_info.getJSONObject("pro");
				String date = pro.getString("date");//Ʊ
				String cname = pro.getString("cname");//Ʊ
				String kind = extobj.getString("content");
				JSONObject price = comm_info.getJSONObject("price");
				String amount = "";
				String total = price.getString("total");//˰ϼ
				String dtax = price.getString("dtax");//ɵֿ˰
				String ttax = "";
				//пɵֿ˰˰˰˰ڿɵֿ˰˰ʵ˰
				//ûпɵֿ˰˰˰+˰˰0˰ʵ0
				if("0".equals(dtax)) {
					//˰+˰ = ˰ϼ
					amount = total;
					ttax = "0";//˰
					trate = "0";//˰
				}else {
					amount = price.getString("amount");//˰
					ttax = extobj.getString("ttax");//˰
				}
				JSONObject buyer = comm_info.getJSONObject("buyer");
				String mnecode = buyer.getString("tcode");//˰ʶ
				String name2 = buyer.getString("company");//򷽹˾
				JSONObject payer = comm_info.getJSONObject("payer");
				String name3 = payer.getString("tcode");//۷˰ʶ
				String name4 = payer.getString("company");//򷽹˾
				JSONObject modify_info = info.getJSONObject("modify_info");
				String furl = modify_info.getString("furl");//ƱͼƬid 
				if (furl == null || "".equals(furl)) {
				    String pdf = modify_info.getString("pdf");
				    if(pdf == null || "".equals(pdf)) {
				    	furl = pro.getString("pi");
				    }else {
				    	furl = pdf;
				    }
				}
				IDefdocService idefservice = NCLocator.getInstance().lookup(IDefdocService.class);
				DefdocVO[] vos = new DefdocVO[1];
				DefdocVO defvo = new DefdocVO();
				//ֵ
				defvo.setAttributeValue("code", code);
				defvo.setAttributeValue("name", memo);
				defvo.setAttributeValue("memo", name );
				defvo.setAttributeValue("mnecode", mnecode);
				defvo.setAttributeValue("name2", name2);
				defvo.setAttributeValue("name3", name3);
				defvo.setAttributeValue("name4", name4);
				defvo.setAttributeValue("name5", fid);
				defvo.setAttributeValue("name6", vdef17);
				defvo.setAttributeValue("pk_defdoclist", QryOCRPk());
				defvo.setAttributeValue("pk_group", pk_group);
				defvo.setAttributeValue("pk_org", pk_group);
				defvo.setAttributeValue("datatype", 1);
				defvo.setAttributeValue("enablestate", 2);
				defvo.setAttributeValue("shortname", amount);
				defvo.setAttributeValue("shortname2", total);
				defvo.setAttributeValue("shortname3", ttax);
				defvo.setAttributeValue("pid", date);
				defvo.setAttributeValue("shortname5", cname);
				defvo.setAttributeValue("shortname6", trate);
				defvo.setAttributeValue("dataoriginflag", 0);
				defvo.setAttributeValue("shortname4", kind);
				defvo.setAttributeValue("innercode", codenumber);
				defvo.setAttributeValue("modifier", dtax);
				vos[0] = defvo;
				try {
					idefservice.insertDefdocs(pk_group, vos);
					
					Map<String,String> map = new HashMap<String,String>();
					map.put("KYHSJE", total);
					map.put("KYWSJE", amount);
					map.put("JYSE", ttax);
					map.put("FPXZ", noauth+furl+"&fid="+fid);
					map.put("VDEF17",vdef17);
					map.put("NUMBERID",code);
					ocrservice.addORC(map);
				} catch (Exception e) {
					// TODO Զɵ catch 
					MessageDialog.showErrorDlg(parentpanel, NCLangRes.getInstance().getStrByID("pc", "FileManageUI-000000")/**/
								,"Զ嵵:\n"+e.getMessage());
					return;
				}
				
			}
		}
		MessageDialog.showHintDlg(parentpanel, "ʾ","ʶ");
	}
	

    
    private String checkJson(JSONObject json) throws Exception {
		
  		StringBuffer mags = new StringBuffer();
  		Boolean empty = true;
  		
  		JSONObject oprepObjectBs = json.getJSONObject("data");
  		
  		if (oprepObjectBs == null || oprepObjectBs.size() == 0) {
  			return "ֵΪգ";
  		}
  		
  		
  		return null;
  	}
      
      //ѯԶ嵵pk
      private String QryOCRPk(){
      	String sql = "select pk_defdoclist from bd_defdoclist where code='OCRTHNC' and nvl(dr,0)=0";
      	Object object = null;
  		try {
  			object = iuap.executeQuery(sql, new ColumnProcessor());
  		} catch (BusinessException e) {
  			// TODO Զɵ catch 
  			e.printStackTrace();
  		}
  		if (object==null) {
  			return null;
  		}else {
  			return object.toString();
  		}
      }
}
