package nc.ui.pu.m25.config;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import nc.funcnode.ui.action.GroupAction;
import nc.funcnode.ui.action.SeparatorAction;
import nc.ui.pu.m25.action.FeeInvoiceAddAction;
import nc.ui.pu.m25.action.InvoiceAddFeeBillAction;
import nc.ui.pu.m25.action.InvoiceAddManualAction;
import nc.ui.pu.m25.action.InvoiceApproveAction;
import nc.ui.pu.m25.action.InvoiceAssistMenuAction;
import nc.ui.pu.m25.action.InvoiceBodyAddLineAction;
import nc.ui.pu.m25.action.InvoiceBodyInsertLineAction;
import nc.ui.pu.m25.action.InvoiceCancelSendApAction;
import nc.ui.pu.m25.action.InvoiceCopyAction;
import nc.ui.pu.m25.action.InvoiceDeleteAction;
import nc.ui.pu.m25.action.InvoiceEditAction;
import nc.ui.pu.m25.action.InvoiceFrozenAction;
import nc.ui.pu.m25.action.InvoiceHqhpAction;
import nc.ui.pu.m25.action.InvoicePrintCombineAction;
import nc.ui.pu.m25.action.InvoiceRef21AddAction;
import nc.ui.pu.m25.action.InvoiceRef21AddRowsAction;
import nc.ui.pu.m25.action.InvoiceRef45AddAction;
import nc.ui.pu.m25.action.InvoiceRef45AddRowsAction;
import nc.ui.pu.m25.action.InvoiceRef47AddAction;
import nc.ui.pu.m25.action.InvoiceRef4TAddAction;
import nc.ui.pu.m25.action.InvoiceRef50AddAction;
import nc.ui.pu.m25.action.InvoiceRef55E6AddAction;
import nc.ui.pu.m25.action.InvoiceRef61AddAction;
import nc.ui.pu.m25.action.InvoiceRefreshSingleAction;
import nc.ui.pu.m25.action.InvoiceRetFromFeeBillAction;
import nc.ui.pu.m25.action.InvoiceSaveAction;
import nc.ui.pu.m25.action.InvoiceSendApAction;
import nc.ui.pu.m25.action.InvoiceSendApproveAction;
import nc.ui.pu.m25.action.InvoiceUnApproveAction;
import nc.ui.pu.m25.action.InvoiceUnFrozenAction;
import nc.ui.pu.m25.action.LinkQueryFeeInvoiceAction;
import nc.ui.pu.m25.action.LinkQueryMenuAction;
import nc.ui.pu.m25.action.RefAddRowsMenuAction;
import nc.ui.pu.m25.action.RelatingFunctionsMenuAction;
import nc.ui.pu.m25.action.processor.CopyActionProcessor;
import nc.ui.pu.m25.action.processor.InvoicePrintProcessor;
import nc.ui.pu.m25.billref.processor.InitDataForTbbProcessor;
import nc.ui.pu.m25.billref.processor.InitDataProcessor;
import nc.ui.pu.m25.billref.processor.InvoiceTransferListProcessor;
import nc.ui.pu.m25.editor.TotalValueHanlder;
import nc.ui.pu.m25.editor.card.InvoiceAddEventHandler;
import nc.ui.pu.m25.editor.card.afteredit.CardBodyAfterEditEventHandler;
import nc.ui.pu.m25.editor.card.afteredit.CardHeadTailAfterEditEventHandler;
import nc.ui.pu.m25.editor.card.beforeedit.CardBodyBeforeEditEventHandler;
import nc.ui.pu.m25.editor.card.beforeedit.CardHeadTailBeforeEditEventHandler;
import nc.ui.pu.m25.editor.list.HeadRowChangeHandler;
import nc.ui.pu.m25.editor.org.OrgChangedEventHandler;
import nc.ui.pu.m25.editor.utils.RelationCalculate;
import nc.ui.pu.m25.linkquery.InvoiceLinkQueryHyperlinkMediator;
import nc.ui.pu.m25.model.InvoiceBillManageModel;
import nc.ui.pu.m25.model.InvoiceModelServcie;
import nc.ui.pu.m25.query.InvoiceLazilyLoader;
import nc.ui.pu.m25.query.InvoiceQryCondDlgInitializer;
import nc.ui.pu.m25.view.FeeInvoiceViewTransfer;
import nc.ui.pu.m25.view.InvoiceBillForm;
import nc.ui.pu.m25.view.InvoiceBillListView;
import nc.ui.pu.pub.action.PULinkQueryAction;
import nc.ui.pu.pub.action.UnSaveScriptAction;
import nc.ui.pub.beans.ActionsBar.ActionsBarSeparator;
import nc.ui.pubapp.bill.BillCodeMediator;
import nc.ui.pubapp.billref.dest.DefaultBillDataLogic;
import nc.ui.pubapp.billref.dest.TransferViewProcessor;
import nc.ui.pubapp.pub.power.PowerSaveValidateService;
import nc.ui.pubapp.pub.power.PowerValidateService;
import nc.ui.pubapp.uif2app.actions.AddMenuAction;
import nc.ui.pubapp.uif2app.actions.BodyCopyLineAction;
import nc.ui.pubapp.uif2app.actions.BodyDelLineAction;
import nc.ui.pubapp.uif2app.actions.BodyLineEditAction;
import nc.ui.pubapp.uif2app.actions.BodyPasteLineAction;
import nc.ui.pubapp.uif2app.actions.BodyPasteToTailAction;
import nc.ui.pubapp.uif2app.actions.CancelAction;
import nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction;
import nc.ui.pubapp.uif2app.actions.DefaultHeadZoomAction;
import nc.ui.pubapp.uif2app.actions.FileDocManageAction;
import nc.ui.pubapp.uif2app.actions.InvoiceSelectAction;
import nc.ui.pubapp.uif2app.actions.InvoiceUploadAction;
import nc.ui.pubapp.uif2app.actions.MetaDataBasedPrintAction;
import nc.ui.pubapp.uif2app.actions.OutputAction;
import nc.ui.pubapp.uif2app.actions.RearrangeRowNoBodyLineAction;
import nc.ui.pubapp.uif2app.actions.UEReturnAction;
import nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor;
import nc.ui.pubapp.uif2app.actions.pflow.PFApproveStatusInfoAction;
import nc.ui.pubapp.uif2app.actions.pflow.SaveAndCommitScriptAction;
import nc.ui.pubapp.uif2app.funcnode.trantype.TrantypeBillTemplateMender;
import nc.ui.pubapp.uif2app.lazilyload.ActionLazilyLoad;
import nc.ui.pubapp.uif2app.lazilyload.CardPanelLazilyLoad;
import nc.ui.pubapp.uif2app.lazilyload.LazilyLoadManager;
import nc.ui.pubapp.uif2app.lazilyload.ListPanelLazilyLoad;
import nc.ui.pubapp.uif2app.linkquery.LinkQueryHyperlinkMediator;
import nc.ui.pubapp.uif2app.model.AppEventHandlerMediator;
import nc.ui.pubapp.uif2app.model.BillBodySortMediator;
import nc.ui.pubapp.uif2app.model.DefaultFuncNodeInitDataListener;
import nc.ui.pubapp.uif2app.model.FctDefaultFuncNodeInitDataListener;
import nc.ui.pubapp.uif2app.query2.action.DefaultQueryAction;
import nc.ui.pubapp.uif2app.query2.action.DefaultRefreshAction;
import nc.ui.pubapp.uif2app.query2.model.ModelDataManager;
import nc.ui.pubapp.uif2app.tangramlayout.UECardLayoutToolbarPanel;
import nc.ui.pubapp.uif2app.tangramlayout.UEQueryAreaShell;
import nc.ui.pubapp.uif2app.validation.CompositeValidation;
import nc.ui.pubapp.uif2app.view.CompositeBillDataPrepare;
import nc.ui.pubapp.uif2app.view.CompositeBillListDataPrepare;
import nc.ui.pubapp.uif2app.view.FractionFixMediator;
import nc.ui.pubapp.uif2app.view.MouseClickShowPanelMediator;
import nc.ui.pubapp.uif2app.view.RowNoMediator;
import nc.ui.pubapp.uif2app.view.TemplateContainer;
import nc.ui.pubapp.uif2app.view.material.assistant.MarAsstPreparator;
import nc.ui.pubapp.uif2app.view.value.AggVOMetaBDObjectAdapterFactory;
import nc.ui.pubapp.uif2app.view.value.SingleFieldBlankChildrenFilter;
import nc.ui.uif2.FunNodeClosingHandler;
import nc.ui.uif2.I18nFB;
import nc.ui.uif2.TangramContainer;
import nc.ui.uif2.actions.ActionContributors;
import nc.ui.uif2.actions.StandAloneToftPanelActionContainer;
import nc.ui.uif2.editor.QueryTemplateContainer;
import nc.ui.uif2.editor.UIF2RemoteCallCombinatorCaller;
import nc.ui.uif2.editor.UserdefQueryParam;
import nc.ui.uif2.editor.UserdefitemContainerListPreparator;
import nc.ui.uif2.editor.UserdefitemContainerPreparator;
import nc.ui.uif2.factory.AbstractJavaBeanDefinition;
import nc.ui.uif2.tangramlayout.CardLayoutToolbarPanel;
import nc.ui.uif2.tangramlayout.node.CNode;
import nc.ui.uif2.tangramlayout.node.HSNode;
import nc.ui.uif2.tangramlayout.node.TBNode;
import nc.ui.uif2.tangramlayout.node.VSNode;
import nc.ui.uif2.userdefitem.QueryParam;
import nc.ui.uif2.userdefitem.UserDefItemContainer;
import nc.vo.uif2.LoginContext;

public class poInvoice_config extends AbstractJavaBeanDefinition {
	private Map<String, Object> context = new HashMap();

	public DefaultQueryAction getQueryAction() {
		if (this.context.get("queryAction") != null) {
			return (DefaultQueryAction) this.context.get("queryAction");
		} else {
			DefaultQueryAction bean = new DefaultQueryAction();
			this.context.put("queryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setDataManager(this.getModelDataManager());
			bean.setQryCondDLGInitializer(this.getInvoiceQryCondDLGInitializer());
			bean.setShowUpComponent(this.getListView());
			bean.setTemplateContainer(this.getQueryTemplateContainer());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceQryCondDlgInitializer getInvoiceQryCondDLGInitializer() {
		if (this.context.get("invoiceQryCondDLGInitializer") != null) {
			return (InvoiceQryCondDlgInitializer) this.context.get("invoiceQryCondDLGInitializer");
		} else {
			InvoiceQryCondDlgInitializer bean = new InvoiceQryCondDlgInitializer();
			this.context.put("invoiceQryCondDLGInitializer", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultRefreshAction getListRefreshAction() {
		if (this.context.get("listRefreshAction") != null) {
			return (DefaultRefreshAction) this.context.get("listRefreshAction");
		} else {
			DefaultRefreshAction bean = new DefaultRefreshAction();
			this.context.put("listRefreshAction", bean);
			bean.setDataManager(this.getModelDataManager());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceRefreshSingleAction getCardRefreshAction() {
		if (this.context.get("cardRefreshAction") != null) {
			return (InvoiceRefreshSingleAction) this.context.get("cardRefreshAction");
		} else {
			InvoiceRefreshSingleAction bean = new InvoiceRefreshSingleAction();
			this.context.put("cardRefreshAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceEditAction getEditAction() {
		if (this.context.get("editAction") != null) {
			return (InvoiceEditAction) this.context.get("editAction");
		} else {
			InvoiceEditAction bean = new InvoiceEditAction();
			this.context.put("editAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getShowUpComponentInterceptor_1caec75());
			bean.setPowercheck(true);
			bean.setPermissioncode("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ShowUpComponentInterceptor getShowUpComponentInterceptor_1caec75() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#1caec75") != null) {
			return (ShowUpComponentInterceptor) this.context
					.get("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#1caec75");
		} else {
			ShowUpComponentInterceptor bean = new ShowUpComponentInterceptor();
			this.context.put("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#1caec75", bean);
			bean.setShowUpComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceDeleteAction getDeleteAction() {
		if (this.context.get("deleteAction") != null) {
			return (InvoiceDeleteAction) this.context.get("deleteAction");
		} else {
			InvoiceDeleteAction bean = new InvoiceDeleteAction();
			this.context.put("deleteAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("DISCARD");
			bean.setBillType("25");
			bean.setValidationService(this.getPowerDeleteValidService());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getPowerDeleteValidService() {
		if (this.context.get("powerDeleteValidService") != null) {
			return (PowerValidateService) this.context.get("powerDeleteValidService");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("powerDeleteValidService", bean);
			bean.setActionCode("delete");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CopyActionProcessor getCopyActionProcessor() {
		if (this.context.get("copyActionProcessor") != null) {
			return (CopyActionProcessor) this.context.get("copyActionProcessor");
		} else {
			CopyActionProcessor bean = new CopyActionProcessor();
			this.context.put("copyActionProcessor", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceCopyAction getCopyAction() {
		if (this.context.get("copyAction") != null) {
			return (InvoiceCopyAction) this.context.get("copyAction");
		} else {
			InvoiceCopyAction bean = new InvoiceCopyAction();
			this.context.put("copyAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getFormInterceptor());
			bean.setCopyActionProcessor(this.getCopyActionProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceSaveAction getSaveAction() {
		if (this.context.get("saveAction") != null) {
			return (InvoiceSaveAction) this.context.get("saveAction");
		} else {
			InvoiceSaveAction bean = new InvoiceSaveAction();
			this.context.put("saveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("SAVEBASE");
			bean.setBillType("25");
			bean.setValidationService(this.getValidateService());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CompositeValidation getValidateService() {
		if (this.context.get("validateService") != null) {
			return (CompositeValidation) this.context.get("validateService");
		} else {
			CompositeValidation bean = new CompositeValidation();
			this.context.put("validateService", bean);
			bean.setValidators(this.getManagedList0());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList0() {
		List list = new ArrayList();
		list.add(this.getPowerSaveValidService());
		return list;
	}

	public PowerSaveValidateService getPowerSaveValidService() {
		if (this.context.get("powerSaveValidService") != null) {
			return (PowerSaveValidateService) this.context.get("powerSaveValidService");
		} else {
			PowerSaveValidateService bean = new PowerSaveValidateService();
			this.context.put("powerSaveValidService", bean);
			bean.setEditActionCode("edit");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceApproveAction getApproveAction() {
		if (this.context.get("approveAction") != null) {
			return (InvoiceApproveAction) this.context.get("approveAction");
		} else {
			InvoiceApproveAction bean = new InvoiceApproveAction();
			this.context.put("approveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setFilledUpInFlow(true);
			bean.setActionName("APPROVE");
			bean.setBillType("25");
			bean.setValidationService(this.getPowerApproveValidService());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getPowerApproveValidService() {
		if (this.context.get("powerApproveValidService") != null) {
			return (PowerValidateService) this.context.get("powerApproveValidService");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("powerApproveValidService", bean);
			bean.setActionCode("approve");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceUnApproveAction getUnApproveAction() {
		if (this.context.get("unApproveAction") != null) {
			return (InvoiceUnApproveAction) this.context.get("unApproveAction");
		} else {
			InvoiceUnApproveAction bean = new InvoiceUnApproveAction();
			this.context.put("unApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setFilledUpInFlow(true);
			bean.setActionName("UNAPPROVE");
			bean.setBillType("25");
			bean.setValidationService(this.getPowerUnapproveValidService());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getPowerUnapproveValidService() {
		if (this.context.get("powerUnapproveValidService") != null) {
			return (PowerValidateService) this.context.get("powerUnapproveValidService");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("powerUnapproveValidService", bean);
			bean.setActionCode("unapprove");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CancelAction getCancelAction() {
		if (this.context.get("cancelAction") != null) {
			return (CancelAction) this.context.get("cancelAction");
		} else {
			CancelAction bean = new CancelAction();
			this.context.put("cancelAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoicePrintProcessor getPrintProcessor() {
		if (this.context.get("printProcessor") != null) {
			return (InvoicePrintProcessor) this.context.get("printProcessor");
		} else {
			InvoicePrintProcessor bean = new InvoicePrintProcessor();
			this.context.put("printProcessor", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MetaDataBasedPrintAction getPreviewAction() {
		if (this.context.get("previewAction") != null) {
			return (MetaDataBasedPrintAction) this.context.get("previewAction");
		} else {
			MetaDataBasedPrintAction bean = new MetaDataBasedPrintAction();
			this.context.put("previewAction", bean);
			bean.setPreview(true);
			bean.setNodeKey("4004100002");
			bean.setModel(this.getManageAppModel());
			bean.setBeforePrintDataProcess(this.getPrintProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MetaDataBasedPrintAction getPrintAction() {
		if (this.context.get("printAction") != null) {
			return (MetaDataBasedPrintAction) this.context.get("printAction");
		} else {
			MetaDataBasedPrintAction bean = new MetaDataBasedPrintAction();
			this.context.put("printAction", bean);
			bean.setPreview(false);
			bean.setNodeKey("4004100002");
			bean.setModel(this.getManageAppModel());
			bean.setBeforePrintDataProcess(this.getPrintProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OutputAction getOutputAction() {
		if (this.context.get("outputAction") != null) {
			return (OutputAction) this.context.get("outputAction");
		} else {
			OutputAction bean = new OutputAction();
			this.context.put("outputAction", bean);
			bean.setNodeKey("4004100002");
			bean.setModel(this.getManageAppModel());
			bean.setParent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoicePrintCombineAction getPrintCombineAction() {
		if (this.context.get("printCombineAction") != null) {
			return (InvoicePrintCombineAction) this.context.get("printCombineAction");
		} else {
			InvoicePrintCombineAction bean = new InvoicePrintCombineAction();
			this.context.put("printCombineAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceSendApAction getSendApAction() {
		if (this.context.get("sendApAction") != null) {
			return (InvoiceSendApAction) this.context.get("sendApAction");
		} else {
			InvoiceSendApAction bean = new InvoiceSendApAction();
			this.context.put("sendApAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setFilledUpInFlow(true);
			bean.setActionName("SENDAP");
			bean.setBillType("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceCancelSendApAction getCancelSendApAction() {
		if (this.context.get("cancelSendApAction") != null) {
			return (InvoiceCancelSendApAction) this.context.get("cancelSendApAction");
		} else {
			InvoiceCancelSendApAction bean = new InvoiceCancelSendApAction();
			this.context.put("cancelSendApAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setFilledUpInFlow(true);
			bean.setActionName("CANCELSENDAP");
			bean.setBillType("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public SaveAndCommitScriptAction getSaveCommitAction() {
		if (this.context.get("saveCommitAction") != null) {
			return (SaveAndCommitScriptAction) this.context.get("saveCommitAction");
		} else {
			SaveAndCommitScriptAction bean = new SaveAndCommitScriptAction(this.getSaveAction(),
					this.getSendApproveAction());
			this.context.put("saveCommitAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBtnName(this.getI18nFB_1d9dd62());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_1d9dd62() {
		if (this.context.get("nc.ui.uif2.I18nFB#1d9dd62") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#1d9dd62");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#1d9dd62", bean);
			bean.setResDir("common");
			bean.setResId("2SCMPUB-000027");
			bean.setDefaultValue("ύ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#1d9dd62", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceSendApproveAction getSendApproveAction() {
		if (this.context.get("sendApproveAction") != null) {
			return (InvoiceSendApproveAction) this.context.get("sendApproveAction");
		} else {
			InvoiceSendApproveAction bean = new InvoiceSendApproveAction();
			this.context.put("sendApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setPreActionNames(this.getManagedList1());
			bean.setActionName("SAVE");
			bean.setBillType("25");
			bean.setFilledUpInFlow(true);
			bean.setValidationService(this.getSendpowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList1() {
		List list = new ArrayList();
		list.add("SAVEBASE");
		return list;
	}

	public UnSaveScriptAction getUnSendApproveAction() {
		if (this.context.get("unSendApproveAction") != null) {
			return (UnSaveScriptAction) this.context.get("unSendApproveAction");
		} else {
			UnSaveScriptAction bean = new UnSaveScriptAction();
			this.context.put("unSendApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("UNSAVEBILL");
			bean.setBillType("25");
			bean.setFilledUpInFlow(true);
			bean.setValidationService(this.getUnsendpowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getSendpowervalidservice() {
		if (this.context.get("sendpowervalidservice") != null) {
			return (PowerValidateService) this.context.get("sendpowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("sendpowervalidservice", bean);
			bean.setActionCode("commit");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getUnsendpowervalidservice() {
		if (this.context.get("unsendpowervalidservice") != null) {
			return (PowerValidateService) this.context.get("unsendpowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("unsendpowervalidservice", bean);
			bean.setActionCode("uncommit");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public GroupAction getSendApproveMenuAction() {
		if (this.context.get("sendApproveMenuAction") != null) {
			return (GroupAction) this.context.get("sendApproveMenuAction");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("sendApproveMenuAction", bean);
			bean.setCode("sendApproveMenuAction");
			bean.setActions(this.getManagedList2());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList2() {
		List list = new ArrayList();
		list.add(this.getSendApproveAction());
		list.add(this.getUnSendApproveAction());
		return list;
	}

	public InvoiceAddFeeBillAction getAddfeeinvoice() {
		if (this.context.get("addfeeinvoice") != null) {
			return (InvoiceAddFeeBillAction) this.context.get("addfeeinvoice");
		} else {
			InvoiceAddFeeBillAction bean = new InvoiceAddFeeBillAction();
			this.context.put("addfeeinvoice", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceRetFromFeeBillAction getRetfeeinvoice() {
		if (this.context.get("retfeeinvoice") != null) {
			return (InvoiceRetFromFeeBillAction) this.context.get("retfeeinvoice");
		} else {
			InvoiceRetFromFeeBillAction bean = new InvoiceRetFromFeeBillAction();
			this.context.put("retfeeinvoice", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public FeeInvoiceAddAction getNewfeeinvoice() {
		if (this.context.get("newfeeinvoice") != null) {
			return (FeeInvoiceAddAction) this.context.get("newfeeinvoice");
		} else {
			FeeInvoiceAddAction bean = new FeeInvoiceAddAction();
			this.context.put("newfeeinvoice", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getFormInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceRef21AddAction getAddFrom21Action() {
		if (this.context.get("addFrom21Action") != null) {
			return (InvoiceRef21AddAction) this.context.get("addFrom21Action");
		} else {
			InvoiceRef21AddAction bean = new InvoiceRef21AddAction();
			this.context.put("addFrom21Action", bean);
			bean.setSourceBillType("21");
			bean.setSourceBillName(this.getI18nFB_555e4a());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_555e4a() {
		if (this.context.get("nc.ui.uif2.I18nFB#555e4a") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#555e4a");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#555e4a", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0494");
			bean.setDefaultValue("ɹ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#555e4a", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef4TAddAction getAddFrom4TAction() {
		if (this.context.get("addFrom4TAction") != null) {
			return (InvoiceRef4TAddAction) this.context.get("addFrom4TAction");
		} else {
			InvoiceRef4TAddAction bean = new InvoiceRef4TAddAction();
			this.context.put("addFrom4TAction", bean);
			bean.setSourceBillType("4T");
			bean.setSourceBillName(this.getI18nFB_a180c2());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_a180c2() {
		if (this.context.get("nc.ui.uif2.I18nFB#a180c2") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#a180c2");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#a180c2", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0490");
			bean.setDefaultValue("ڳݹ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#a180c2", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef21AddRowsAction getAddRowsFrom21Action() {
		if (this.context.get("addRowsFrom21Action") != null) {
			return (InvoiceRef21AddRowsAction) this.context.get("addRowsFrom21Action");
		} else {
			InvoiceRef21AddRowsAction bean = new InvoiceRef21AddRowsAction();
			this.context.put("addRowsFrom21Action", bean);
			bean.setSourceBillType("21");
			bean.setSourceBillName(this.getI18nFB_10c794c());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_10c794c() {
		if (this.context.get("nc.ui.uif2.I18nFB#10c794c") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#10c794c");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#10c794c", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0494");
			bean.setDefaultValue("ɹ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#10c794c", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef45AddAction getAddFrom45Action() {
		if (this.context.get("addFrom45Action") != null) {
			return (InvoiceRef45AddAction) this.context.get("addFrom45Action");
		} else {
			InvoiceRef45AddAction bean = new InvoiceRef45AddAction();
			this.context.put("addFrom45Action", bean);
			bean.setSourceBillType("45");
			bean.setSourceBillName(this.getI18nFB_1ef83af());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_1ef83af() {
		if (this.context.get("nc.ui.uif2.I18nFB#1ef83af") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#1ef83af");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#1ef83af", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0438");
			bean.setDefaultValue("ɹⵥ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#1ef83af", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef45AddRowsAction getAddRowsFrom45Action() {
		if (this.context.get("addRowsFrom45Action") != null) {
			return (InvoiceRef45AddRowsAction) this.context.get("addRowsFrom45Action");
		} else {
			InvoiceRef45AddRowsAction bean = new InvoiceRef45AddRowsAction();
			this.context.put("addRowsFrom45Action", bean);
			bean.setSourceBillType("45");
			bean.setSourceBillName(this.getI18nFB_1ae5d4e());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_1ae5d4e() {
		if (this.context.get("nc.ui.uif2.I18nFB#1ae5d4e") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#1ae5d4e");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#1ae5d4e", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0438");
			bean.setDefaultValue("ɹⵥ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#1ae5d4e", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef50AddAction getAddFrom50Action() {
		if (this.context.get("addFrom50Action") != null) {
			return (InvoiceRef50AddAction) this.context.get("addFrom50Action");
		} else {
			InvoiceRef50AddAction bean = new InvoiceRef50AddAction();
			this.context.put("addFrom50Action", bean);
			bean.setSourceBillType("50");
			bean.setSourceBillName(this.getI18nFB_120d55a());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_120d55a() {
		if (this.context.get("nc.ui.uif2.I18nFB#120d55a") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#120d55a");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#120d55a", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0479");
			bean.setDefaultValue("Ļ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#120d55a", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef61AddAction getAddFrom61Action() {
		if (this.context.get("addFrom61Action") != null) {
			return (InvoiceRef61AddAction) this.context.get("addFrom61Action");
		} else {
			InvoiceRef61AddAction bean = new InvoiceRef61AddAction();
			this.context.put("addFrom61Action", bean);
			bean.setSourceBillType("61");
			bean.setSourceBillName(this.getI18nFB_690a92());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_690a92() {
		if (this.context.get("nc.ui.uif2.I18nFB#690a92") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#690a92");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#690a92", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0515");
			bean.setDefaultValue("ίⶩ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#690a92", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef47AddAction getAddFrom47Action() {
		if (this.context.get("addFrom47Action") != null) {
			return (InvoiceRef47AddAction) this.context.get("addFrom47Action");
		} else {
			InvoiceRef47AddAction bean = new InvoiceRef47AddAction();
			this.context.put("addFrom47Action", bean);
			bean.setSourceBillType("47");
			bean.setSourceBillName(this.getI18nFB_3502bc());
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_3502bc() {
		if (this.context.get("nc.ui.uif2.I18nFB#3502bc") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#3502bc");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#3502bc", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0450");
			bean.setDefaultValue("ίмӹⵥ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#3502bc", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceRef55E6AddAction getAddFrom55E6Action() {
		if (this.context.get("addFrom55E6Action") != null) {
			return (InvoiceRef55E6AddAction) this.context.get("addFrom55E6Action");
		} else {
			InvoiceRef55E6AddAction bean = new InvoiceRef55E6AddAction();
			this.context.put("addFrom55E6Action", bean);
			bean.setSourceBillType("55E6");
			bean.setSourceBillName(this.getI18nFB_46aab3());
			bean.setFlowBillType(false);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_46aab3() {
		if (this.context.get("nc.ui.uif2.I18nFB#46aab3") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#46aab3");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#46aab3", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0653");
			bean.setDefaultValue("ίӹ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#46aab3", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public InvoiceHqhpAction getHqhpAction() {
		if (this.context.get("hqhpAction") != null) {
			return (InvoiceHqhpAction) this.context.get("hqhpAction");
		} else {
			InvoiceHqhpAction bean = new InvoiceHqhpAction();
			this.context.put("hqhpAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceFrozenAction getFrozenAction() {
		if (this.context.get("frozenAction") != null) {
			return (InvoiceFrozenAction) this.context.get("frozenAction");
		} else {
			InvoiceFrozenAction bean = new InvoiceFrozenAction();
			this.context.put("frozenAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceUnFrozenAction getUnFrozenAction() {
		if (this.context.get("unFrozenAction") != null) {
			return (InvoiceUnFrozenAction) this.context.get("unFrozenAction");
		} else {
			InvoiceUnFrozenAction bean = new InvoiceUnFrozenAction();
			this.context.put("unFrozenAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public FileDocManageAction getDocMngAction() {
		if (this.context.get("docMngAction") != null) {
			return (FileDocManageAction) this.context.get("docMngAction");
		} else {
			FileDocManageAction bean = new FileDocManageAction();
			this.context.put("docMngAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PULinkQueryAction getLinkQueryBill() {
		if (this.context.get("linkQueryBill") != null) {
			return (PULinkQueryAction) this.context.get("linkQueryBill");
		} else {
			PULinkQueryAction bean = new PULinkQueryAction();
			this.context.put("linkQueryBill", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillType("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LinkQueryFeeInvoiceAction getLinkQueryFeeInvoice() {
		if (this.context.get("linkQueryFeeInvoice") != null) {
			return (LinkQueryFeeInvoiceAction) this.context.get("linkQueryFeeInvoice");
		} else {
			LinkQueryFeeInvoiceAction bean = new LinkQueryFeeInvoiceAction();
			this.context.put("linkQueryFeeInvoice", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PFApproveStatusInfoAction getLinkQueryAuditFlowStatus() {
		if (this.context.get("linkQueryAuditFlowStatus") != null) {
			return (PFApproveStatusInfoAction) this.context.get("linkQueryAuditFlowStatus");
		} else {
			PFApproveStatusInfoAction bean = new PFApproveStatusInfoAction();
			this.context.put("linkQueryAuditFlowStatus", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceAddManualAction getAddManualAction() {
		if (this.context.get("addManualAction") != null) {
			return (InvoiceAddManualAction) this.context.get("addManualAction");
		} else {
			InvoiceAddManualAction bean = new InvoiceAddManualAction();
			this.context.put("addManualAction", bean);
			bean.setSourceBillType("MANUAL");
			bean.setSourceBillName(this.getI18nFB_170fe1f());
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getFormInterceptor());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_170fe1f() {
		if (this.context.get("nc.ui.uif2.I18nFB#170fe1f") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#170fe1f");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#170fe1f", bean);
			bean.setResDir("common");
			bean.setResId("14004000-0000");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#170fe1f", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public AddMenuAction getAddMenu() {
		if (this.context.get("addMenu") != null) {
			return (AddMenuAction) this.context.get("addMenu");
		} else {
			AddMenuAction bean = new AddMenuAction();
			this.context.put("addMenu", bean);
			bean.setBillType("25");
			bean.setTooltip(this.getI18nFB_13bdf68());
			bean.setActions(this.getManagedList3());
			bean.setModel(this.getManageAppModel());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_13bdf68() {
		if (this.context.get("nc.ui.uif2.I18nFB#13bdf68") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#13bdf68");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#13bdf68", bean);
			bean.setResDir("common");
			bean.setResId("04004000-0001");
			bean.setDefaultValue("ҵ(Ctrl+N)");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#13bdf68", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList3() {
		List list = new ArrayList();
		list.add(this.getAddManualAction());
		list.add(this.getSeparatorAction_1c83e18());
		list.add(this.getAddFrom55E6Action());
		list.add(this.getAddFrom21Action());
		list.add(this.getAddFrom45Action());
		list.add(this.getAddFrom61Action());
		list.add(this.getAddFrom50Action());
		list.add(this.getAddFrom47Action());
		list.add(this.getAddFrom4TAction());
		return list;
	}

	private SeparatorAction getSeparatorAction_1c83e18() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1c83e18") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1c83e18");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1c83e18", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public GroupAction getInvoiceApproveMenuAction() {
		if (this.context.get("invoiceApproveMenuAction") != null) {
			return (GroupAction) this.context.get("invoiceApproveMenuAction");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("invoiceApproveMenuAction", bean);
			bean.setCode("auditMenuAction");
			bean.setActions(this.getManagedList4());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList4() {
		List list = new ArrayList();
		list.add(this.getApproveAction());
		list.add(this.getUnApproveAction());
		list.add(this.getSeparatorAction_164c39a());
		list.add(this.getLinkQueryAuditFlowStatus());
		return list;
	}

	private SeparatorAction getSeparatorAction_164c39a() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#164c39a") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#164c39a");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#164c39a", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RefAddRowsMenuAction getRefAddRowsMenuAction() {
		if (this.context.get("refAddRowsMenuAction") != null) {
			return (RefAddRowsMenuAction) this.context.get("refAddRowsMenuAction");
		} else {
			RefAddRowsMenuAction bean = new RefAddRowsMenuAction();
			this.context.put("refAddRowsMenuAction", bean);
			bean.setActions(this.getManagedList5());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList5() {
		List list = new ArrayList();
		list.add(this.getAddRowsFrom21Action());
		list.add(this.getAddRowsFrom45Action());
		return list;
	}

	public InvoiceAssistMenuAction getAssistMenuAction() {
		if (this.context.get("assistMenuAction") != null) {
			return (InvoiceAssistMenuAction) this.context.get("assistMenuAction");
		} else {
			InvoiceAssistMenuAction bean = new InvoiceAssistMenuAction();
			this.context.put("assistMenuAction", bean);
			bean.setActions(this.getManagedList6());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList6() {
		List list = new ArrayList();
		list.add(this.getFrozenAction());
		list.add(this.getUnFrozenAction());
		list.add(this.getSeparatorAction_65cccb());
		list.add(this.getDocMngAction());
		return list;
	}

	private SeparatorAction getSeparatorAction_65cccb() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#65cccb") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#65cccb");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#65cccb", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceAssistMenuAction getNormalEditAstMenuAction() {
		if (this.context.get("normalEditAstMenuAction") != null) {
			return (InvoiceAssistMenuAction) this.context.get("normalEditAstMenuAction");
		} else {
			InvoiceAssistMenuAction bean = new InvoiceAssistMenuAction();
			this.context.put("normalEditAstMenuAction", bean);
			bean.setActions(this.getManagedList7());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList7() {
		List list = new ArrayList();
		list.add(this.getHqhpAction());
		return list;
	}

	public LinkQueryMenuAction getLinkQueryMenuAction() {
		if (this.context.get("linkQueryMenuAction") != null) {
			return (LinkQueryMenuAction) this.context.get("linkQueryMenuAction");
		} else {
			LinkQueryMenuAction bean = new LinkQueryMenuAction();
			this.context.put("linkQueryMenuAction", bean);
			bean.setActions(this.getManagedList8());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList8() {
		List list = new ArrayList();
		list.add(this.getLinkQueryBill());
		list.add(this.getSeparatorAction_1684ba2());
		list.add(this.getLinkQueryFeeInvoice());
		return list;
	}

	private SeparatorAction getSeparatorAction_1684ba2() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1684ba2") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1684ba2");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1684ba2", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RelatingFunctionsMenuAction getRelatingFunctionsMenuAction() {
		if (this.context.get("relatingFunctionsMenuAction") != null) {
			return (RelatingFunctionsMenuAction) this.context.get("relatingFunctionsMenuAction");
		} else {
			RelatingFunctionsMenuAction bean = new RelatingFunctionsMenuAction();
			this.context.put("relatingFunctionsMenuAction", bean);
			bean.setActions(this.getManagedList9());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList9() {
		List list = new ArrayList();
		list.add(this.getSendApAction());
		list.add(this.getCancelSendApAction());
		list.add(this.getAddfeeinvoice());
		return list;
	}

	public RelatingFunctionsMenuAction getRelatingFunctionsMenuActionFee() {
		if (this.context.get("relatingFunctionsMenuActionFee") != null) {
			return (RelatingFunctionsMenuAction) this.context.get("relatingFunctionsMenuActionFee");
		} else {
			RelatingFunctionsMenuAction bean = new RelatingFunctionsMenuAction();
			this.context.put("relatingFunctionsMenuActionFee", bean);
			bean.setActions(this.getManagedList10());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList10() {
		List list = new ArrayList();
		list.add(this.getSendApAction());
		list.add(this.getCancelSendApAction());
		return list;
	}

	public RelatingFunctionsMenuAction getRelatingFunctionsMenuActionEdit() {
		if (this.context.get("relatingFunctionsMenuActionEdit") != null) {
			return (RelatingFunctionsMenuAction) this.context.get("relatingFunctionsMenuActionEdit");
		} else {
			RelatingFunctionsMenuAction bean = new RelatingFunctionsMenuAction();
			this.context.put("relatingFunctionsMenuActionEdit", bean);
			bean.setActions(this.getManagedList11());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList11() {
		List list = new ArrayList();
		return list;
	}

	public GroupAction getInvoicePrintMenuAction() {
		if (this.context.get("invoicePrintMenuAction") != null) {
			return (GroupAction) this.context.get("invoicePrintMenuAction");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("invoicePrintMenuAction", bean);
			bean.setCode("printMenuAction");
			bean.setActions(this.getManagedList12());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}
	
	public InvoiceUploadAction getInvoiceUploadAction() {
		if (this.context.get("invoiceUploadAction") != null) {
			return (InvoiceUploadAction) this.context.get("invoiceUploadAction");
		} else {
			InvoiceUploadAction bean = new InvoiceUploadAction();
			this.context.put("invoiceUploadAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}
	public InvoiceSelectAction getInvoiceSelectAction() {
		if (this.context.get("invoiceSelectAction") != null) {
			return (InvoiceSelectAction) this.context.get("invoiceSelectAction");
		} else {
			InvoiceSelectAction bean = new InvoiceSelectAction();
			this.context.put("invoiceSelectAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList12() {
		List list = new ArrayList();
		list.add(this.getPrintAction());
		list.add(this.getPreviewAction());
		list.add(this.getOutputAction());
		list.add(this.getSeparatorAction_3db900());
		list.add(this.getPrintCombineAction());
		return list;
	}

	private SeparatorAction getSeparatorAction_3db900() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#3db900") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#3db900");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#3db900", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OrgChangedEventHandler getMainorgchghandler() {
		if (this.context.get("mainorgchghandler") != null) {
			return (OrgChangedEventHandler) this.context.get("mainorgchghandler");
		} else {
			OrgChangedEventHandler bean = new OrgChangedEventHandler();
			this.context.put("mainorgchghandler", bean);
			bean.setCardForm(this.getBillFormEditor());
			bean.setListView(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardHeadTailBeforeEditEventHandler getCard_before_headtail_edithandler() {
		if (this.context.get("card_before_headtail_edithandler") != null) {
			return (CardHeadTailBeforeEditEventHandler) this.context.get("card_before_headtail_edithandler");
		} else {
			CardHeadTailBeforeEditEventHandler bean = new CardHeadTailBeforeEditEventHandler();
			this.context.put("card_before_headtail_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardHeadTailAfterEditEventHandler getCard_after_headtail_edithandler() {
		if (this.context.get("card_after_headtail_edithandler") != null) {
			return (CardHeadTailAfterEditEventHandler) this.context.get("card_after_headtail_edithandler");
		} else {
			CardHeadTailAfterEditEventHandler bean = new CardHeadTailAfterEditEventHandler();
			this.context.put("card_after_headtail_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardBodyBeforeEditEventHandler getCard_before_body_edithandler() {
		if (this.context.get("card_before_body_edithandler") != null) {
			return (CardBodyBeforeEditEventHandler) this.context.get("card_before_body_edithandler");
		} else {
			CardBodyBeforeEditEventHandler bean = new CardBodyBeforeEditEventHandler();
			this.context.put("card_before_body_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardBodyAfterEditEventHandler getCard_after_body_edithandler() {
		if (this.context.get("card_after_body_edithandler") != null) {
			return (CardBodyAfterEditEventHandler) this.context.get("card_after_body_edithandler");
		} else {
			CardBodyAfterEditEventHandler bean = new CardBodyAfterEditEventHandler();
			this.context.put("card_after_body_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadRowChangeHandler getList_head_rowchangehandler() {
		if (this.context.get("list_head_rowchangehandler") != null) {
			return (HeadRowChangeHandler) this.context.get("list_head_rowchangehandler");
		} else {
			HeadRowChangeHandler bean = new HeadRowChangeHandler();
			this.context.put("list_head_rowchangehandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceAddEventHandler getInvoiceAddHandler() {
		if (this.context.get("invoiceAddHandler") != null) {
			return (InvoiceAddEventHandler) this.context.get("invoiceAddHandler");
		} else {
			InvoiceAddEventHandler bean = new InvoiceAddEventHandler();
			this.context.put("invoiceAddHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TotalValueHanlder getTotalvaluehandler() {
		if (this.context.get("totalvaluehandler") != null) {
			return (TotalValueHanlder) this.context.get("totalvaluehandler");
		} else {
			TotalValueHanlder bean = new TotalValueHanlder();
			this.context.put("totalvaluehandler", bean);
			bean.setBodyHeadMap(this.getManagedMap0());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap0() {
		Map map = new HashMap();
		map.put("nastnum", "ntotalastnum");
		map.put("norigtaxmny", "ntotalorigmny");
		return map;
	}

	public RelationCalculate getRelationCalculate() {
		if (this.context.get("relationCalculate") != null) {
			return (RelationCalculate) this.context.get("relationCalculate");
		} else {
			RelationCalculate bean = new RelationCalculate();
			this.context.put("relationCalculate", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public AppEventHandlerMediator getAppEventHandlerMediator() {
		if (this.context.get("appEventHandlerMediator") != null) {
			return (AppEventHandlerMediator) this.context.get("appEventHandlerMediator");
		} else {
			AppEventHandlerMediator bean = new AppEventHandlerMediator();
			this.context.put("appEventHandlerMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setHandlerMap(this.getManagedMap1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap1() {
		Map map = new HashMap();
		map.put("nc.ui.pubapp.uif2app.event.card.CardHeadTailBeforeEditEvent", this.getManagedList13());
		map.put("nc.ui.pubapp.uif2app.event.card.CardHeadTailAfterEditEvent", this.getManagedList14());
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyBeforeEditEvent", this.getManagedList15());
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyAfterEditEvent", this.getManagedList16());
		map.put("nc.ui.pubapp.uif2app.event.list.ListHeadRowChangedEvent", this.getManagedList17());
		map.put("nc.ui.pubapp.uif2app.event.OrgChangedEvent", this.getManagedList18());
		map.put("nc.ui.pubapp.uif2app.event.AppUiStateChangeEvent", this.getManagedList19());
		map.put("nc.ui.pubapp.uif2app.event.billform.AddEvent", this.getManagedList20());
		return map;
	}

	private List getManagedList13() {
		List list = new ArrayList();
		list.add(this.getCard_before_headtail_edithandler());
		return list;
	}

	private List getManagedList14() {
		List list = new ArrayList();
		list.add(this.getCard_after_headtail_edithandler());
		return list;
	}

	private List getManagedList15() {
		List list = new ArrayList();
		list.add(this.getCard_before_body_edithandler());
		return list;
	}

	private List getManagedList16() {
		List list = new ArrayList();
		list.add(this.getCard_after_body_edithandler());
		list.add(this.getRelationCalculate());
		return list;
	}

	private List getManagedList17() {
		List list = new ArrayList();
		list.add(this.getList_head_rowchangehandler());
		return list;
	}

	private List getManagedList18() {
		List list = new ArrayList();
		list.add(this.getMainorgchghandler());
		return list;
	}

	private List getManagedList19() {
		List list = new ArrayList();
		list.add(this.getFeeViewTransfer());
		return list;
	}

	private List getManagedList20() {
		List list = new ArrayList();
		list.add(this.getInvoiceAddHandler());
		return list;
	}

	public DefaultFuncNodeInitDataListener getInitDataListener() {
		if (this.context.get("InitDataListener") != null) {
			return (DefaultFuncNodeInitDataListener) this.context.get("InitDataListener");
		} else {
//			DefaultFuncNodeInitDataListener bean = new DefaultFuncNodeInitDataListener();
			FctDefaultFuncNodeInitDataListener bean  =new FctDefaultFuncNodeInitDataListener();
			this.context.put("InitDataListener", bean);
			bean.setContext(this.getContext());
			bean.setModel(this.getManageAppModel());
			bean.setVoClassName("nc.vo.pu.m25.entity.InvoiceVO");
			bean.setAutoShowUpComponent(this.getBillFormEditor());
			bean.setQueryAction(this.getQueryAction());
			bean.setProcessorMap(this.getManagedMap2());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap2() {
		Map map = new HashMap();
		map.put("19", this.getInitDataProcessor_13035ef());
		map.put("40", this.getInitDataForTbbProcessor_24de85());
		return map;
	}

	private InitDataProcessor getInitDataProcessor_13035ef() {
		if (this.context.get("nc.ui.pu.m25.billref.processor.InitDataProcessor#13035ef") != null) {
			return (InitDataProcessor) this.context.get("nc.ui.pu.m25.billref.processor.InitDataProcessor#13035ef");
		} else {
			InitDataProcessor bean = new InitDataProcessor();
			this.context.put("nc.ui.pu.m25.billref.processor.InitDataProcessor#13035ef", bean);
			bean.setTransferViewProcessor(this.getTransferViewProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private InitDataForTbbProcessor getInitDataForTbbProcessor_24de85() {
		if (this.context.get("nc.ui.pu.m25.billref.processor.InitDataForTbbProcessor#24de85") != null) {
			return (InitDataForTbbProcessor) this.context
					.get("nc.ui.pu.m25.billref.processor.InitDataForTbbProcessor#24de85");
		} else {
			InitDataForTbbProcessor bean = new InitDataForTbbProcessor();
			this.context.put("nc.ui.pu.m25.billref.processor.InitDataForTbbProcessor#24de85", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LoginContext getContext() {
		if (this.context.get("context") != null) {
			return (LoginContext) this.context.get("context");
		} else {
			LoginContext bean = new LoginContext();
			this.context.put("context", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceModelServcie getManageModelService() {
		if (this.context.get("ManageModelService") != null) {
			return (InvoiceModelServcie) this.context.get("ManageModelService");
		} else {
			InvoiceModelServcie bean = new InvoiceModelServcie();
			this.context.put("ManageModelService", bean);
			bean.setBillType("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ShowUpComponentInterceptor getFormInterceptor() {
		if (this.context.get("formInterceptor") != null) {
			return (ShowUpComponentInterceptor) this.context.get("formInterceptor");
		} else {
			ShowUpComponentInterceptor bean = new ShowUpComponentInterceptor();
			this.context.put("formInterceptor", bean);
			bean.setShowUpComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ShowUpComponentInterceptor getListInterceptor() {
		if (this.context.get("listInterceptor") != null) {
			return (ShowUpComponentInterceptor) this.context.get("listInterceptor");
		} else {
			ShowUpComponentInterceptor bean = new ShowUpComponentInterceptor();
			this.context.put("listInterceptor", bean);
			bean.setShowUpComponent(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public AggVOMetaBDObjectAdapterFactory getBoadatorfactory() {
		if (this.context.get("boadatorfactory") != null) {
			return (AggVOMetaBDObjectAdapterFactory) this.context.get("boadatorfactory");
		} else {
			AggVOMetaBDObjectAdapterFactory bean = new AggVOMetaBDObjectAdapterFactory();
			this.context.put("boadatorfactory", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceBillManageModel getManageAppModel() {
		if (this.context.get("ManageAppModel") != null) {
			return (InvoiceBillManageModel) this.context.get("ManageAppModel");
		} else {
			InvoiceBillManageModel bean = new InvoiceBillManageModel();
			this.context.put("ManageAppModel", bean);
			bean.setService(this.getManageModelService());
			bean.setBusinessObjectAdapterFactory(this.getBoadatorfactory());
			bean.setContext(this.getContext());
			bean.setBillType("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ModelDataManager getModelDataManager() {
		if (this.context.get("modelDataManager") != null) {
			return (ModelDataManager) this.context.get("modelDataManager");
		} else {
			ModelDataManager bean = new ModelDataManager();
			this.context.put("modelDataManager", bean);
			bean.setModel(this.getManageAppModel());
			bean.setService(this.getManageModelService());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TrantypeBillTemplateMender getBillTemplateMender() {
		if (this.context.get("billTemplateMender") != null) {
			return (TrantypeBillTemplateMender) this.context.get("billTemplateMender");
		} else {
			TrantypeBillTemplateMender bean = new TrantypeBillTemplateMender(this.getContext());
			this.context.put("billTemplateMender", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TemplateContainer getTemplateContainer() {
		if (this.context.get("templateContainer") != null) {
			return (TemplateContainer) this.context.get("templateContainer");
		} else {
			TemplateContainer bean = new TemplateContainer();
			this.context.put("templateContainer", bean);
			bean.setContext(this.getContext());
			bean.setBillTemplateMender(this.getBillTemplateMender());
			bean.load();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public QueryTemplateContainer getQueryTemplateContainer() {
		if (this.context.get("queryTemplateContainer") != null) {
			return (QueryTemplateContainer) this.context.get("queryTemplateContainer");
		} else {
			QueryTemplateContainer bean = new QueryTemplateContainer();
			this.context.put("queryTemplateContainer", bean);
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceBillListView getListView() {
		if (this.context.get("listView") != null) {
			return (InvoiceBillListView) this.context.get("listView");
		} else {
			InvoiceBillListView bean = new InvoiceBillListView();
			this.context.put("listView", bean);
			bean.setModel(this.getManageAppModel());
			bean.setMultiSelectionMode(0);
			bean.setTemplateContainer(this.getTemplateContainer());
			bean.setUserdefitemListPreparator(this.getUserdefAndMarAsstListPreparator());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArrayList getPasteClearItem() {
		if (this.context.get("pasteClearItem") != null) {
			return (ArrayList) this.context.get("pasteClearItem");
		} else {
			ArrayList bean = new ArrayList(this.getManagedList21());
			this.context.put("pasteClearItem", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList21() {
		List list = new ArrayList();
		list.add("naccumsettmny");
		list.add("naccumsettnum");
		list.add("pk_invoice_b");
		list.add("ts");
		return list;
	}

	public LinkQueryHyperlinkMediator getVsourcecodeMediator() {
		if (this.context.get("vsourcecodeMediator") != null) {
			return (LinkQueryHyperlinkMediator) this.context.get("vsourcecodeMediator");
		} else {
			LinkQueryHyperlinkMediator bean = new LinkQueryHyperlinkMediator();
			this.context.put("vsourcecodeMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSrcBillIdField("csourceid");
			bean.setSrcBillNOField("vsourcecode");
			bean.setSrcBillTypeField("csourcetypecode");
			bean.setSrcBillTypeFieldPos(1);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LinkQueryHyperlinkMediator getVfirstcodeMediator() {
		if (this.context.get("vfirstcodeMediator") != null) {
			return (LinkQueryHyperlinkMediator) this.context.get("vfirstcodeMediator");
		} else {
			LinkQueryHyperlinkMediator bean = new LinkQueryHyperlinkMediator();
			this.context.put("vfirstcodeMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSrcBillIdField("cfirstid");
			bean.setSrcBillNOField("vfirstcode");
			bean.setSrcBillTypeField("cfirsttypecode");
			bean.setSrcBillTypeFieldPos(1);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceBillForm getBillFormEditor() {
		if (this.context.get("billFormEditor") != null) {
			return (InvoiceBillForm) this.context.get("billFormEditor");
		} else {
			InvoiceBillForm bean = new InvoiceBillForm();
			this.context.put("billFormEditor", bean);
			bean.setModel(this.getManageAppModel());
			bean.setTemplateContainer(this.getTemplateContainer());
			bean.setUserdefitemPreparator(this.getUserdefAndMarAsstCardPreparator());
			bean.setTemplateNotNullValidate(true);
			bean.setAutoAddLine(true);
			bean.setBlankChildrenFilter(this.getBlankitemfilter());
			bean.setBodyLineActions(this.getManagedList22());
			bean.setTotalValueHandler(this.getTotalvaluehandler());
			bean.setClearHyperlink(this.getManagedList23());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList22() {
		List list = new ArrayList();
		list.add(this.getInvoiceBodyAddLineAction_d92892());
		list.add(this.getInvoiceBodyInsertLineAction_f693ef());
		list.add(this.getBodyDelLineAction_6a4f2d());
		list.add(this.getBodyCopyLineAction_17444ce());
		list.add(this.getBodyPasteLineAction_516364());
		list.add(this.getBodyPasteToTailAction_1546eb6());
		list.add(this.getActionsBar_ActionsBarSeparator_30a4c0());
		list.add(this.getBodyLineEditAction_1904cd6());
		list.add(this.getRearrangeRowNoBodyLineAction_a49841());
		list.add(this.getActionsBar_ActionsBarSeparator_7ef6d());
		list.add(this.getDefaultBodyZoomAction_f81691());
		return list;
	}

	private InvoiceBodyAddLineAction getInvoiceBodyAddLineAction_d92892() {
		if (this.context.get("nc.ui.pu.m25.action.InvoiceBodyAddLineAction#d92892") != null) {
			return (InvoiceBodyAddLineAction) this.context.get("nc.ui.pu.m25.action.InvoiceBodyAddLineAction#d92892");
		} else {
			InvoiceBodyAddLineAction bean = new InvoiceBodyAddLineAction();
			this.context.put("nc.ui.pu.m25.action.InvoiceBodyAddLineAction#d92892", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private InvoiceBodyInsertLineAction getInvoiceBodyInsertLineAction_f693ef() {
		if (this.context.get("nc.ui.pu.m25.action.InvoiceBodyInsertLineAction#f693ef") != null) {
			return (InvoiceBodyInsertLineAction) this.context
					.get("nc.ui.pu.m25.action.InvoiceBodyInsertLineAction#f693ef");
		} else {
			InvoiceBodyInsertLineAction bean = new InvoiceBodyInsertLineAction();
			this.context.put("nc.ui.pu.m25.action.InvoiceBodyInsertLineAction#f693ef", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyDelLineAction getBodyDelLineAction_6a4f2d() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.BodyDelLineAction#6a4f2d") != null) {
			return (BodyDelLineAction) this.context.get("nc.ui.pubapp.uif2app.actions.BodyDelLineAction#6a4f2d");
		} else {
			BodyDelLineAction bean = new BodyDelLineAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.BodyDelLineAction#6a4f2d", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyCopyLineAction getBodyCopyLineAction_17444ce() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.BodyCopyLineAction#17444ce") != null) {
			return (BodyCopyLineAction) this.context.get("nc.ui.pubapp.uif2app.actions.BodyCopyLineAction#17444ce");
		} else {
			BodyCopyLineAction bean = new BodyCopyLineAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.BodyCopyLineAction#17444ce", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyPasteLineAction getBodyPasteLineAction_516364() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.BodyPasteLineAction#516364") != null) {
			return (BodyPasteLineAction) this.context.get("nc.ui.pubapp.uif2app.actions.BodyPasteLineAction#516364");
		} else {
			BodyPasteLineAction bean = new BodyPasteLineAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.BodyPasteLineAction#516364", bean);
			bean.setClearItems(this.getPasteClearItem());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyPasteToTailAction getBodyPasteToTailAction_1546eb6() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.BodyPasteToTailAction#1546eb6") != null) {
			return (BodyPasteToTailAction) this.context
					.get("nc.ui.pubapp.uif2app.actions.BodyPasteToTailAction#1546eb6");
		} else {
			BodyPasteToTailAction bean = new BodyPasteToTailAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.BodyPasteToTailAction#1546eb6", bean);
			bean.setClearItems(this.getPasteClearItem());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ActionsBarSeparator getActionsBar_ActionsBarSeparator_30a4c0() {
		if (this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#30a4c0") != null) {
			return (ActionsBarSeparator) this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#30a4c0");
		} else {
			ActionsBarSeparator bean = new ActionsBarSeparator();
			this.context.put("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#30a4c0", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyLineEditAction getBodyLineEditAction_1904cd6() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.BodyLineEditAction#1904cd6") != null) {
			return (BodyLineEditAction) this.context.get("nc.ui.pubapp.uif2app.actions.BodyLineEditAction#1904cd6");
		} else {
			BodyLineEditAction bean = new BodyLineEditAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.BodyLineEditAction#1904cd6", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private RearrangeRowNoBodyLineAction getRearrangeRowNoBodyLineAction_a49841() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.RearrangeRowNoBodyLineAction#a49841") != null) {
			return (RearrangeRowNoBodyLineAction) this.context
					.get("nc.ui.pubapp.uif2app.actions.RearrangeRowNoBodyLineAction#a49841");
		} else {
			RearrangeRowNoBodyLineAction bean = new RearrangeRowNoBodyLineAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.RearrangeRowNoBodyLineAction#a49841", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ActionsBarSeparator getActionsBar_ActionsBarSeparator_7ef6d() {
		if (this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#7ef6d") != null) {
			return (ActionsBarSeparator) this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#7ef6d");
		} else {
			ActionsBarSeparator bean = new ActionsBarSeparator();
			this.context.put("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#7ef6d", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private DefaultBodyZoomAction getDefaultBodyZoomAction_f81691() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction#f81691") != null) {
			return (DefaultBodyZoomAction) this.context
					.get("nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction#f81691");
		} else {
			DefaultBodyZoomAction bean = new DefaultBodyZoomAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction#f81691", bean);
			bean.setPos(1);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList23() {
		List list = new ArrayList();
		list.add("vbillcode");
		return list;
	}

	public InvoiceLinkQueryHyperlinkMediator getParentCodeLinkQueryHyperlinkMediator() {
		if (this.context.get("parentCodeLinkQueryHyperlinkMediator") != null) {
			return (InvoiceLinkQueryHyperlinkMediator) this.context.get("parentCodeLinkQueryHyperlinkMediator");
		} else {
			InvoiceLinkQueryHyperlinkMediator bean = new InvoiceLinkQueryHyperlinkMediator();
			this.context.put("parentCodeLinkQueryHyperlinkMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSrcBillIdField("pk_parentinvoice");
			bean.setSrcBillNOField("vparentcode");
			bean.setSrcBillType("25");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public SingleFieldBlankChildrenFilter getBlankitemfilter() {
		if (this.context.get("blankitemfilter") != null) {
			return (SingleFieldBlankChildrenFilter) this.context.get("blankitemfilter");
		} else {
			SingleFieldBlankChildrenFilter bean = new SingleFieldBlankChildrenFilter();
			this.context.put("blankitemfilter", bean);
			bean.setFieldName("pk_material");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public FunNodeClosingHandler getClosingListener() {
		if (this.context.get("ClosingListener") != null) {
			return (FunNodeClosingHandler) this.context.get("ClosingListener");
		} else {
			FunNodeClosingHandler bean = new FunNodeClosingHandler();
			this.context.put("ClosingListener", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSaveaction(this.getSaveAction());
			bean.setCancelaction(this.getCancelAction());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MouseClickShowPanelMediator getMouseClickShowPanelMediator() {
		if (this.context.get("mouseClickShowPanelMediator") != null) {
			return (MouseClickShowPanelMediator) this.context.get("mouseClickShowPanelMediator");
		} else {
			MouseClickShowPanelMediator bean = new MouseClickShowPanelMediator();
			this.context.put("mouseClickShowPanelMediator", bean);
			bean.setListView(this.getListView());
			bean.setShowUpComponent(this.getBillFormEditor());
			bean.setHyperLinkColumn("vbillcode");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RowNoMediator getRowNoMediator() {
		if (this.context.get("rowNoMediator") != null) {
			return (RowNoMediator) this.context.get("rowNoMediator");
		} else {
			RowNoMediator bean = new RowNoMediator();
			this.context.put("rowNoMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillBodySortMediator getBillBodySortMediator() {
		if (this.context.get("billBodySortMediator") != null) {
			return (BillBodySortMediator) this.context.get("billBodySortMediator");
		} else {
			BillBodySortMediator bean = new BillBodySortMediator(this.getManageAppModel(), this.getBillFormEditor(),
					this.getListView());
			this.context.put("billBodySortMediator", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UEQueryAreaShell getQueryArea() {
		if (this.context.get("queryArea") != null) {
			return (UEQueryAreaShell) this.context.get("queryArea");
		} else {
			UEQueryAreaShell bean = new UEQueryAreaShell();
			this.context.put("queryArea", bean);
			bean.setQueryAreaCreator(this.getQueryAction());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardLayoutToolbarPanel getQueryInfo() {
		if (this.context.get("queryInfo") != null) {
			return (CardLayoutToolbarPanel) this.context.get("queryInfo");
		} else {
			CardLayoutToolbarPanel bean = new CardLayoutToolbarPanel();
			this.context.put("queryInfo", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UECardLayoutToolbarPanel getCardInfoPnl() {
		if (this.context.get("cardInfoPnl") != null) {
			return (UECardLayoutToolbarPanel) this.context.get("cardInfoPnl");
		} else {
			UECardLayoutToolbarPanel bean = new UECardLayoutToolbarPanel();
			this.context.put("cardInfoPnl", bean);
			bean.setTitleAction(this.getReturnaction());
			bean.setModel(this.getManageAppModel());
			bean.setRightExActions(this.getManagedList24());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UEReturnAction getReturnaction() {
		if (this.context.get("returnaction") != null) {
			return (UEReturnAction) this.context.get("returnaction");
		} else {
			UEReturnAction bean = new UEReturnAction();
			this.context.put("returnaction", bean);
			bean.setGoComponent(this.getListView());
			bean.setSaveAction(this.getSaveAction());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList24() {
		List list = new ArrayList();
		list.add(this.getActionsBar_ActionsBarSeparator_1919665());
		list.add(this.getHeadZoomAction());
		return list;
	}

	private ActionsBarSeparator getActionsBar_ActionsBarSeparator_1919665() {
		if (this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1919665") != null) {
			return (ActionsBarSeparator) this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1919665");
		} else {
			ActionsBarSeparator bean = new ActionsBarSeparator();
			this.context.put("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1919665", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private DefaultHeadZoomAction getHeadZoomAction() {
		if (this.context.get("headZoomAction") != null) {
			return (DefaultHeadZoomAction) this.context.get("headZoomAction");
		} else {
			DefaultHeadZoomAction bean = new DefaultHeadZoomAction();
			this.context.put("headZoomAction", bean);
			bean.setBillForm(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			bean.setPos(0);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TangramContainer getContainer() {
		if (this.context.get("container") != null) {
			return (TangramContainer) this.context.get("container");
		} else {
			TangramContainer bean = new TangramContainer();
			this.context.put("container", bean);
			bean.setModel(this.getManageAppModel());
			bean.setTangramLayoutRoot(this.getTBNode_dda1e2());
			bean.setActions(this.getManagedList26());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TBNode getTBNode_dda1e2() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.TBNode#dda1e2") != null) {
			return (TBNode) this.context.get("nc.ui.uif2.tangramlayout.node.TBNode#dda1e2");
		} else {
			TBNode bean = new TBNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.TBNode#dda1e2", bean);
			bean.setShowMode("CardLayout");
			bean.setTabs(this.getManagedList25());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList25() {
		List list = new ArrayList();
		list.add(this.getHSNode_1d92ef5());
		list.add(this.getVSNode_1bcdf23());
		return list;
	}

	private HSNode getHSNode_1d92ef5() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#1d92ef5") != null) {
			return (HSNode) this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#1d92ef5");
		} else {
			HSNode bean = new HSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.HSNode#1d92ef5", bean);
			bean.setLeft(this.getCNode_128e598());
			bean.setRight(this.getVSNode_1e6b686());
			bean.setDividerLocation(0.22F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_128e598() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#128e598") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#128e598");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#128e598", bean);
			bean.setComponent(this.getQueryArea());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private VSNode getVSNode_1e6b686() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1e6b686") != null) {
			return (VSNode) this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1e6b686");
		} else {
			VSNode bean = new VSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.VSNode#1e6b686", bean);
			bean.setUp(this.getCNode_1f9723d());
			bean.setDown(this.getCNode_12b9b63());
			bean.setDividerLocation(30.0F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_1f9723d() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#1f9723d") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#1f9723d");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#1f9723d", bean);
			bean.setComponent(this.getQueryInfo());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_12b9b63() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#12b9b63") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#12b9b63");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#12b9b63", bean);
			bean.setName(this.getI18nFB_1bb3b33());
			bean.setComponent(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_1bb3b33() {
		if (this.context.get("nc.ui.uif2.I18nFB#1bb3b33") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#1bb3b33");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#1bb3b33", bean);
			bean.setResDir("common");
			bean.setResId("UC001-0000107");
			bean.setDefaultValue("б");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#1bb3b33", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private VSNode getVSNode_1bcdf23() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1bcdf23") != null) {
			return (VSNode) this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1bcdf23");
		} else {
			VSNode bean = new VSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.VSNode#1bcdf23", bean);
			bean.setUp(this.getCNode_199d9d2());
			bean.setDown(this.getCNode_33b14b());
			bean.setDividerLocation(30.0F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_199d9d2() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#199d9d2") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#199d9d2");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#199d9d2", bean);
			bean.setComponent(this.getCardInfoPnl());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_33b14b() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#33b14b") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#33b14b");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#33b14b", bean);
			bean.setName(this.getI18nFB_1aba64f());
			bean.setComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_1aba64f() {
		if (this.context.get("nc.ui.uif2.I18nFB#1aba64f") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#1aba64f");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#1aba64f", bean);
			bean.setResDir("common");
			bean.setResId("UC001-0000106");
			bean.setDefaultValue("Ƭ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#1aba64f", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList26() {
		List list = new ArrayList();
		return list;
	}

	public ActionContributors getToftpanelActionContributors() {
		if (this.context.get("toftpanelActionContributors") != null) {
			return (ActionContributors) this.context.get("toftpanelActionContributors");
		} else {
			ActionContributors bean = new ActionContributors();
			this.context.put("toftpanelActionContributors", bean);
			bean.setContributors(this.getManagedList27());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList27() {
		List list = new ArrayList();
		list.add(this.getActionsOfList());
		list.add(this.getActionsOfCard());
		return list;
	}

	public StandAloneToftPanelActionContainer getActionsOfList() {
		if (this.context.get("actionsOfList") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("actionsOfList");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getListView());
			this.context.put("actionsOfList", bean);
			bean.setActions(this.getManagedList28());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList28() {
		List list = new ArrayList();
		list.add(this.getAddMenu());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getSeparatorAction_af23da());
		list.add(this.getQueryAction());
		list.add(this.getListRefreshAction());
		list.add(this.getSeparatorAction_5af3ee());
		list.add(this.getSendApproveMenuAction());
		list.add(this.getInvoiceApproveMenuAction());
		list.add(this.getAssistMenuAction());
		list.add(this.getSeparatorAction_14496a5());
		list.add(this.getLinkQueryMenuAction());
		list.add(this.getSeparatorAction_1fe4d23());
		list.add(this.getRelatingFunctionsMenuAction());
		list.add(this.getSeparatorAction_7a5bcf());
		list.add(this.getInvoicePrintMenuAction());
		return list;
	}

	private SeparatorAction getSeparatorAction_af23da() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#af23da") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#af23da");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#af23da", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_5af3ee() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#5af3ee") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#5af3ee");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#5af3ee", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_14496a5() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#14496a5") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#14496a5");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#14496a5", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_1fe4d23() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1fe4d23") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1fe4d23");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1fe4d23", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_7a5bcf() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#7a5bcf") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#7a5bcf");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#7a5bcf", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArrayList getNormEditAction() {
		if (this.context.get("normEditAction") != null) {
			return (ArrayList) this.context.get("normEditAction");
		} else {
			ArrayList bean = new ArrayList(this.getManagedList29());
			this.context.put("normEditAction", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList29() {
		List list = new ArrayList();
		list.add(this.getSaveAction());
		list.add(this.getSaveCommitAction());
		list.add(this.getSeparatorAction_12185be());
		list.add(this.getCancelAction());
		list.add(this.getSeparatorAction_1d3acb6());
		list.add(this.getRefAddRowsMenuAction());
		list.add(this.getNormalEditAstMenuAction());
		list.add(this.getInvoiceUploadAction());
		list.add(this.getInvoiceSelectAction());
		
		return list;
	}

	private SeparatorAction getSeparatorAction_12185be() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#12185be") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#12185be");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#12185be", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_1d3acb6() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1d3acb6") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1d3acb6");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1d3acb6", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public StandAloneToftPanelActionContainer getActionsOfCard() {
		if (this.context.get("actionsOfCard") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("actionsOfCard");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getBillFormEditor());
			this.context.put("actionsOfCard", bean);
			bean.setActions(this.getManagedList30());
			bean.setEditActions(this.getNormEditAction());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList30() {
		List list = new ArrayList();
		list.add(this.getAddMenu());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getSeparatorAction_1f00383());
		list.add(this.getQueryAction());
		list.add(this.getCardRefreshAction());
		list.add(this.getSeparatorAction_76ce0d());
		list.add(this.getSendApproveMenuAction());
		list.add(this.getInvoiceApproveMenuAction());
		list.add(this.getAssistMenuAction());
		list.add(this.getSeparatorAction_1d1c407());
		list.add(this.getLinkQueryMenuAction());
		list.add(this.getSeparatorAction_9cb7e3());
		list.add(this.getRelatingFunctionsMenuAction());
		list.add(this.getSeparatorAction_1f0b291());
		list.add(this.getInvoicePrintMenuAction());
//		list.add(this.getInvoiceUploadAction());
		return list;
	}

	private SeparatorAction getSeparatorAction_1f00383() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1f00383") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1f00383");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1f00383", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_76ce0d() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#76ce0d") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#76ce0d");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#76ce0d", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_1d1c407() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1d1c407") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1d1c407");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1d1c407", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_9cb7e3() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#9cb7e3") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#9cb7e3");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#9cb7e3", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_1f0b291() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1f0b291") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1f0b291");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1f0b291", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public FeeInvoiceViewTransfer getFeeViewTransfer() {
		if (this.context.get("feeViewTransfer") != null) {
			return (FeeInvoiceViewTransfer) this.context.get("feeViewTransfer");
		} else {
			FeeInvoiceViewTransfer bean = new FeeInvoiceViewTransfer();
			this.context.put("feeViewTransfer", bean);
			bean.setFeeCardAction(this.getManagedList31());
			bean.setFeeListAction(this.getManagedList32());
			bean.setFeeEditAction(this.getManagedList33());
			bean.setNormEditAction(this.getNormEditAction());
			bean.setActionContributor(this.getToftpanelActionContributors());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList31() {
		List list = new ArrayList();
		list.add(this.getNewfeeinvoice());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getSeparatorAction_15b7ecc());
		list.add(this.getSendApproveMenuAction());
		list.add(this.getInvoiceApproveMenuAction());
		list.add(this.getAssistMenuAction());
		list.add(this.getSeparatorAction_1e19d6b());
		list.add(this.getRelatingFunctionsMenuActionFee());
		list.add(this.getSeparatorAction_125fa83());
		list.add(this.getInvoicePrintMenuAction());
		list.add(this.getRetfeeinvoice());
		return list;
	}

	private SeparatorAction getSeparatorAction_15b7ecc() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#15b7ecc") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#15b7ecc");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#15b7ecc", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_1e19d6b() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#1e19d6b") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#1e19d6b");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#1e19d6b", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_125fa83() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#125fa83") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#125fa83");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#125fa83", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList32() {
		List list = new ArrayList();
		list.add(this.getNewfeeinvoice());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getSeparatorAction_61dc2e());
		list.add(this.getSendApproveMenuAction());
		list.add(this.getInvoiceApproveMenuAction());
		list.add(this.getAssistMenuAction());
		list.add(this.getSeparatorAction_be772f());
		list.add(this.getRelatingFunctionsMenuActionFee());
		list.add(this.getSeparatorAction_82c59c());
		list.add(this.getInvoicePrintMenuAction());
		list.add(this.getRetfeeinvoice());
		return list;
	}

	private SeparatorAction getSeparatorAction_61dc2e() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#61dc2e") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#61dc2e");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#61dc2e", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_be772f() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#be772f") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#be772f");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#be772f", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SeparatorAction getSeparatorAction_82c59c() {
		if (this.context.get("nc.funcnode.ui.action.SeparatorAction#82c59c") != null) {
			return (SeparatorAction) this.context.get("nc.funcnode.ui.action.SeparatorAction#82c59c");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("nc.funcnode.ui.action.SeparatorAction#82c59c", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList33() {
		List list = new ArrayList();
		list.add(this.getSaveAction());
		list.add(this.getCancelAction());
		list.add(this.getSendApproveAction());
		return list;
	}

	public InvoiceTransferListProcessor getInvoiceTransferListProcessor() {
		if (this.context.get("invoiceTransferListProcessor") != null) {
			return (InvoiceTransferListProcessor) this.context.get("invoiceTransferListProcessor");
		} else {
			InvoiceTransferListProcessor bean = new InvoiceTransferListProcessor();
			this.context.put("invoiceTransferListProcessor", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TransferViewProcessor getTransferViewProcessor() {
		if (this.context.get("transferViewProcessor") != null) {
			return (TransferViewProcessor) this.context.get("transferViewProcessor");
		} else {
			TransferViewProcessor bean = new TransferViewProcessor();
			this.context.put("transferViewProcessor", bean);
			bean.setList(this.getListView());
			bean.setActionContainer(this.getActionsOfList());
			bean.setCardActionContainer(this.getActionsOfCard());
			bean.setSaveAction(this.getSaveAction());
			bean.setCommitAction(this.getSendApproveAction());
			bean.setCancelAction(this.getCancelAction());
			bean.setBillForm(this.getBillFormEditor());
			bean.setQueryAreaShell(this.getQueryArea());
			bean.setQueryInfoToolbarPanel(this.getQueryInfo());
			bean.setTransferLogic(this.getDefaultBillDataLogic_1eea8f4());
			bean.setListProcessor(this.getInvoiceTransferListProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private DefaultBillDataLogic getDefaultBillDataLogic_1eea8f4() {
		if (this.context.get("nc.ui.pubapp.billref.dest.DefaultBillDataLogic#1eea8f4") != null) {
			return (DefaultBillDataLogic) this.context.get("nc.ui.pubapp.billref.dest.DefaultBillDataLogic#1eea8f4");
		} else {
			DefaultBillDataLogic bean = new DefaultBillDataLogic();
			this.context.put("nc.ui.pubapp.billref.dest.DefaultBillDataLogic#1eea8f4", bean);
			bean.setBillForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public FractionFixMediator getFractionFixMediator() {
		if (this.context.get("fractionFixMediator") != null) {
			return (FractionFixMediator) this.context.get("fractionFixMediator");
		} else {
			FractionFixMediator bean = new FractionFixMediator(this.getBillFormEditor(), this.getListView());
			this.context.put("fractionFixMediator", bean);
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillCodeMediator getBillCodeMediator() {
		if (this.context.get("billCodeMediator") != null) {
			return (BillCodeMediator) this.context.get("billCodeMediator");
		} else {
			BillCodeMediator bean = new BillCodeMediator();
			this.context.put("billCodeMediator", bean);
			bean.setBillCodeKey("vbillcode");
			bean.setBillType("25");
			bean.setBillForm(this.getBillFormEditor());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CompositeBillDataPrepare getUserdefAndMarAsstCardPreparator() {
		if (this.context.get("userdefAndMarAsstCardPreparator") != null) {
			return (CompositeBillDataPrepare) this.context.get("userdefAndMarAsstCardPreparator");
		} else {
			CompositeBillDataPrepare bean = new CompositeBillDataPrepare();
			this.context.put("userdefAndMarAsstCardPreparator", bean);
			bean.setBillDataPrepares(this.getManagedList34());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList34() {
		List list = new ArrayList();
		list.add(this.getUserdefitemPreparator());
		list.add(this.getMarAsstPreparator());
		return list;
	}

	public CompositeBillListDataPrepare getUserdefAndMarAsstListPreparator() {
		if (this.context.get("userdefAndMarAsstListPreparator") != null) {
			return (CompositeBillListDataPrepare) this.context.get("userdefAndMarAsstListPreparator");
		} else {
			CompositeBillListDataPrepare bean = new CompositeBillListDataPrepare();
			this.context.put("userdefAndMarAsstListPreparator", bean);
			bean.setBillListDataPrepares(this.getManagedList35());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList35() {
		List list = new ArrayList();
		list.add(this.getUserdefitemlistPreparator());
		list.add(this.getMarAsstPreparator());
		return list;
	}

	public UserdefitemContainerPreparator getUserdefitemPreparator() {
		if (this.context.get("userdefitemPreparator") != null) {
			return (UserdefitemContainerPreparator) this.context.get("userdefitemPreparator");
		} else {
			UserdefitemContainerPreparator bean = new UserdefitemContainerPreparator();
			this.context.put("userdefitemPreparator", bean);
			bean.setContainer(this.getUserdefitemContainer());
			bean.setParams(this.getManagedList36());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList36() {
		List list = new ArrayList();
		list.add(this.getUserdefQueryParam_196594c());
		list.add(this.getUserdefQueryParam_1c0af3e());
		return list;
	}

	private UserdefQueryParam getUserdefQueryParam_196594c() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#196594c") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#196594c");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#196594c", bean);
			bean.setMdfullname("pu.po_invoice");
			bean.setPos(0);
			bean.setPrefix("vdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefQueryParam getUserdefQueryParam_1c0af3e() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1c0af3e") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1c0af3e");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#1c0af3e", bean);
			bean.setMdfullname("pu.po_invoice_b");
			bean.setPos(1);
			bean.setPrefix("vbdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UserdefitemContainerListPreparator getUserdefitemlistPreparator() {
		if (this.context.get("userdefitemlistPreparator") != null) {
			return (UserdefitemContainerListPreparator) this.context.get("userdefitemlistPreparator");
		} else {
			UserdefitemContainerListPreparator bean = new UserdefitemContainerListPreparator();
			this.context.put("userdefitemlistPreparator", bean);
			bean.setContainer(this.getUserdefitemContainer());
			bean.setParams(this.getManagedList37());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList37() {
		List list = new ArrayList();
		list.add(this.getUserdefQueryParam_1313232());
		list.add(this.getUserdefQueryParam_d6809d());
		return list;
	}

	private UserdefQueryParam getUserdefQueryParam_1313232() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1313232") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1313232");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#1313232", bean);
			bean.setMdfullname("pu.po_invoice");
			bean.setPos(0);
			bean.setPrefix("vdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefQueryParam getUserdefQueryParam_d6809d() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#d6809d") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#d6809d");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#d6809d", bean);
			bean.setMdfullname("pu.po_invoice_b");
			bean.setPos(1);
			bean.setTabcode("invoicebody");
			bean.setPrefix("vbdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MarAsstPreparator getMarAsstPreparator() {
		if (this.context.get("marAsstPreparator") != null) {
			return (MarAsstPreparator) this.context.get("marAsstPreparator");
		} else {
			MarAsstPreparator bean = new MarAsstPreparator();
			this.context.put("marAsstPreparator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setContainer(this.getUserdefitemContainer());
			bean.setPrefix("vfree");
			bean.setMaterialField("pk_material");
			bean.setProjectField("cprojectid");
			bean.setProductorField("cproductorid");
			bean.setCustomerField("casscustid");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UserDefItemContainer getUserdefitemContainer() {
		if (this.context.get("userdefitemContainer") != null) {
			return (UserDefItemContainer) this.context.get("userdefitemContainer");
		} else {
			UserDefItemContainer bean = new UserDefItemContainer();
			this.context.put("userdefitemContainer", bean);
			bean.setContext(this.getContext());
			bean.setParams(this.getManagedList38());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList38() {
		List list = new ArrayList();
		list.add(this.getQueryParam_95eff5());
		list.add(this.getQueryParam_1bccc7c());
		list.add(this.getQueryParam_14fd7a());
		return list;
	}

	private QueryParam getQueryParam_95eff5() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#95eff5") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#95eff5");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#95eff5", bean);
			bean.setMdfullname("pu.po_invoice");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private QueryParam getQueryParam_1bccc7c() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#1bccc7c") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#1bccc7c");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#1bccc7c", bean);
			bean.setMdfullname("pu.po_invoice_b");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private QueryParam getQueryParam_14fd7a() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#14fd7a") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#14fd7a");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#14fd7a", bean);
			bean.setRulecode("materialassistant");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InvoiceLazilyLoader getBillLazilyLoader() {
		if (this.context.get("billLazilyLoader") != null) {
			return (InvoiceLazilyLoader) this.context.get("billLazilyLoader");
		} else {
			InvoiceLazilyLoader bean = new InvoiceLazilyLoader();
			this.context.put("billLazilyLoader", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ActionLazilyLoad getLazyActions() {
		if (this.context.get("lazyActions") != null) {
			return (ActionLazilyLoad) this.context.get("lazyActions");
		} else {
			ActionLazilyLoad bean = new ActionLazilyLoad();
			this.context.put("lazyActions", bean);
			bean.setModel(this.getManageAppModel());
			bean.setActionList(this.getManagedList39());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList39() {
		List list = new ArrayList();
		list.add(this.getPrintAction());
		list.add(this.getPreviewAction());
		list.add(this.getOutputAction());
		return list;
	}

	public LazilyLoadManager getLasilyLodadMediator() {
		if (this.context.get("LasilyLodadMediator") != null) {
			return (LazilyLoadManager) this.context.get("LasilyLodadMediator");
		} else {
			LazilyLoadManager bean = new LazilyLoadManager();
			this.context.put("LasilyLodadMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setLoader(this.getBillLazilyLoader());
			bean.setLazilyLoadSupporter(this.getManagedList40());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList40() {
		List list = new ArrayList();
		list.add(this.getLazyActions());
		list.add(this.getCardPanelLazilyLoad_d7b9b());
		list.add(this.getListPanelLazilyLoad_12e39a9());
		return list;
	}

	private CardPanelLazilyLoad getCardPanelLazilyLoad_d7b9b() {
		if (this.context.get("nc.ui.pubapp.uif2app.lazilyload.CardPanelLazilyLoad#d7b9b") != null) {
			return (CardPanelLazilyLoad) this.context.get("nc.ui.pubapp.uif2app.lazilyload.CardPanelLazilyLoad#d7b9b");
		} else {
			CardPanelLazilyLoad bean = new CardPanelLazilyLoad();
			this.context.put("nc.ui.pubapp.uif2app.lazilyload.CardPanelLazilyLoad#d7b9b", bean);
			bean.setBillform(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ListPanelLazilyLoad getListPanelLazilyLoad_12e39a9() {
		if (this.context.get("nc.ui.pubapp.uif2app.lazilyload.ListPanelLazilyLoad#12e39a9") != null) {
			return (ListPanelLazilyLoad) this.context
					.get("nc.ui.pubapp.uif2app.lazilyload.ListPanelLazilyLoad#12e39a9");
		} else {
			ListPanelLazilyLoad bean = new ListPanelLazilyLoad();
			this.context.put("nc.ui.pubapp.uif2app.lazilyload.ListPanelLazilyLoad#12e39a9", bean);
			bean.setListView(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UIF2RemoteCallCombinatorCaller getRemoteCallCombinatorCaller() {
		if (this.context.get("remoteCallCombinatorCaller") != null) {
			return (UIF2RemoteCallCombinatorCaller) this.context.get("remoteCallCombinatorCaller");
		} else {
			UIF2RemoteCallCombinatorCaller bean = new UIF2RemoteCallCombinatorCaller();
			this.context.put("remoteCallCombinatorCaller", bean);
			bean.setRemoteCallers(this.getManagedList41());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList41() {
		List list = new ArrayList();
		list.add(this.getQueryTemplateContainer());
		list.add(this.getTemplateContainer());
		list.add(this.getUserdefitemContainer());
		return list;
	}
}